[Python-checkins] r76355 - peps/trunk/pep-0345.txt

tarek.ziade python-checkins at python.org
Tue Nov 17 23:52:13 CET 2009


Author: tarek.ziade
Date: Tue Nov 17 23:52:13 2009
New Revision: 76355

Log:
== is the default operator

Modified:
   peps/trunk/pep-0345.txt

Modified: peps/trunk/pep-0345.txt
==============================================================================
--- peps/trunk/pep-0345.txt	(original)
+++ peps/trunk/pep-0345.txt	Tue Nov 17 23:52:13 2009
@@ -295,6 +295,8 @@
     version numbers, separated by commas.  Conditional operators
     must be one of "<", ">", "<=", ">=", "==", and "!=".  Version
     numbers must be in the format specified in `PEP 386`_.
+    If no operator is provided with a version, the "==" operator 
+    is used by default.
 
     Any number of conditional operators can be specified, e.g.
     the string ">1.0, !=1.3.4, <2.0" is a legal version declaration.
@@ -359,7 +361,8 @@
     guaranteed to be compatible with. The format of the field is a
     series of conditional operators and version numbers, separated
     by commas.  Conditional operators must be one of "<", ">", "<=",
-    ">=", "==", and "!=".
+    ">=", "==", and "!=". If no operator is provided with a version,
+    the "==" operator is used by default.
 
     Version numbers must be in the format specified in `PEP 386`_.
 
@@ -370,7 +373,7 @@
 
       Requires-Python: >2.1
       Requires-Python: >=2.3.4
-
+      Requires-Python: 2.5, 2.6
 
 Requires-External (multiple use)
     Each entry contains a string describing some dependency in the


More information about the Python-checkins mailing list